Subject: Re: bug#50113: Excorporate: Communicating with domain that requires SSO?

From: "Justin Abrahms" <[email-masked]>
Date: Mon, 23 Aug 2021 17:30:53 -0700

I'm not able to get to the 'you created a service' page.

If I go to:

https://outlook.office365.com/EWS/Exchange.asmx

I'm prompted for a username + password. These are not my actual username + password, as those don't work. I believe if I was able to set up an application-specific password.. I'd be able to use that as the password. Unfortunately, those are disallowed per my administrator. When I abandon the attempted sign-in, I get the butter-y yellow page that I'd expect for an EWS site.

 -justin

On Mon, Aug 23, 2021, at 2:11 PM, Thomas Fitzsimmons wrote:
> Hi Justin,
> 
> "Justin Abrahms" <[email-masked]> writes:
> 
> > I'm trying to setup excorporate for my new job. In looking at the
> > outlook client that came pre-installed on my PC, I see that our EWS
> > url uses outlook365. This is the error I see in my *Messages* buffer:
> >
> > Contacting host: outlook.office365.com:443
> > error in process filter: exco--parse-xml-in-current-buffer: Server response is not an XML document
> > error in process filter: Server response is not an XML document
> >
> > When looking at *URL-DEBUG*, I see that it's being redirected to my
> > company's SSO endpoint. In looking around the docs & internet, I'm not
> > seeing how others deal with needing to do SSO, so I'm reaching out
> > here in hopes someone has ideas.
> 
> Thanks for filing this issue.
> 
> I haven't had to figure out single-sign-on authentication for
> Excorporate yet, but it's good to have a bug report about it so that we
> can work on solutions, assuming they exist.
> 
> The first thing you can try is to access the EWS URL in Firefox.  Does
> browsing to it result in you being transferred to the single-sign-on
> page?  And if you authenticate, do you then see a page that says
> something like:
> 
> "Service
> 
> You have created a service.
> 
> [...]"?
> 
> Thomas
>